#ifndef __COMMON_H__
#define __COMMON_H__

#include <gtkmm/widget.h>
#include <glibmm/ustring.h>

class Common {
public:
    static Common* inst();
    static void getPrimaryScaleFactors(double& scalex, double& scaley);
    static void getMonitorScaleFactors(const Glib::RefPtr< Gdk::Screen >& screen, int monitorIndex, double& scalex, double& scaley);
    static void getMonitorScaleFactors(const Glib::RefPtr< Gdk::Monitor >& monitor, double& scalex, double& scaley);
    static void addCssStylePath(Gtk::Widget& widget, const Glib::ustring& stylePath, uint priority);
    static bool isPrimary(const Glib::RefPtr< Gdk::Monitor >& monitor);

    static void setNumlock(bool on = true);

private:
    Common();
    Common(const Common& other) {}

private:
    static Common* m_inst;
};

#endif // __COMMON_H__
